DAT programName         byte "HeaderVexTreads130201a", 0
robotName               byte "VexTreads", 0
  
CON
{{
  ******* Public Notes *******
  
}}
{
  ******* Private Notes *******

  HeaderVexTreads130130a modified DemoFourMotorsAndEncoders130130a
  130130a Move individual robot constants to a header file
  to make it easy to use the same code with multiple robots.
  130201a Set some unused pins to "-1".
    
} 
  
  MAXSPEED = 5000
    
  WHEEL_RED_0 = 9
  WHEEL_BLACK_0 = 10
  WHEEL_RED_1 = 12
  WHEEL_BLACK_1 = 13
  WHEEL_RED_2 = -1 '15 
  WHEEL_BLACK_2 = -1 '16
  WHEEL_RED_3 = -1 '18
  WHEEL_BLACK_3 = -1 '19
  FIRST_ENCODER_0 = 0
  FIRST_ENCODER_1 = 2
  FIRST_ENCODER_2 = 4
  FIRST_ENCODER_3 = 6
  WHEEL_ENABLE_0 = 8 
  WHEEL_ENABLE_1 = 11 
  WHEEL_ENABLE_2 = -1 '14 
  WHEEL_ENABLE_3 = -1 '17 
  
PUB GetFileName

  result := @programName

PUB GetRobotName

  result := @robotName

DAT '' License
{{
*********************************************************************************************
*                             TERMS OF USE: MIT License                                     *                                                                   
*********************************************************************************************
* Permission is hereby granted, free of charge, to any person obtaining a copy of this      *
* software and associated documentation files (the "Software"), to deal in the Software     *
* without restriction, including without limitation the rights to use, copy, modify,        *
* merge, publish, distribute, sublicense, and/or sell copies of the Software, and to        *
* permit persons to whom the Software is furnished to do so, subject to the following       *
* conditions:                                                                               *
*                                                                                           *                                    
* The above copyright notice and this permission notice shall be included in all copies or  *
* substantial portions of the Software.                                                     *
*                                                                                           *                                   
* The software is provided "as is", without warranty of any kind, express or implied,       *
* including but not limited to the warranties of merchantability, fitness for a particular  *
* and noninfringment. In no event shall the authors or copyright holders be liable for any  *
* claim, damages or other liability, whether in an action of contract, tort or otherwise,   *
* arising from, of or in connection with the software of the use of other dealings in the   *
* software.                                                                                 *
*********************************************************************************************
}}            